Configurer Google home avec jeedom

Tags: #<Tag:0x00007fcba8e2c7e8>

Bonjour,
Tout d’abord bonne année à vous toutes et tous…
Je me suis lancé dans la configuration de mon google home pour dans un premier temps piloter mes volets.
J’ai configuré les accès ext https avec un certificat auto signé et cela semble fonctionner correctement : l’appli jeedom ok et je peux accéder à mon jeedom de l’ext.
J’ai install le plugin gsh version du 26 sept 20) pour info je suis en jeedom V4.0.61.
Je rencontre un pb quand je configure google home, j’ajoute un service « jeedom Smart home » j’ai tout d’abord un message en bas " jeedom est associé " et 3 sec plus tard « une erreur s’est produite , veuillez réessayer »
Ci dessous ma config du plugin :
photo plugin google home

J’ai cherché sur les différents forum mais sans succès donc merci pour vos idées.

Certificat auto signé

1 J'aime

Bonjour,
un certificat auto signé ne fonctionne donc pas avec google home?
Pour créer mon accès ext j’ai suivi le tuto suivant :
[Tuto] Accès à distance Jeedom via Freebox
mais je n’ai pas réussi à créer un certificat letsencrypt je suis donc passer par la seconde méthode un certificat autosigné.
As tu un autre tuto à me conseiller.
Merci.

Bonjour,
Testez le certificat avec le lien fourni dans votre profil market, service assistant vocaux.
C’est peut être dans la doc aussi.

Sinon un certif auto-signe c’est limite plus compliqué à générer qu’un let’s encrypt alors c’est dommage d’utiliser ça :wink:

Suivez les instructions ici https://certbot.eff.org/instructions

Merci Mips pour ces infos
Je vais re tenter de créer un letsencript, par contre pour être bien certain de bien commencer
comment trouver les infos demandées au début :
My HTTP website is running : je suppose apache
sytem : comment vérifier si c’est du debian 9 ou 10 ou autre
Je suis pas super à l’aise avec les commandes mais je me soigne…

Sur votre profil je vois que vous utilisez « Feedom » mais je ne sais pas ce que c’est…

Dans jeedom, menu analyse > page santé vous pouvez voir la version de l’os:
image
ici une debian
les derniers chiffres entre crochet, ici 9.13, si c’est 9.xx c’est une stretch; si c’était 10.xx ce serait buster.

Et si c’est une install par défaut de jeedom récente, alors cela tourne sur apache.

Je viens , de vérifier
pi@raspberrypi:~ $ sudo cat /etc/debian_version
10.4
Donc je vais suivre la procédure apache debian 10 buster
J’ai commencé par installer snapd en suivant :
https://snapcraft.io/docs/installing-snap-on-debian
Tout se passe bien jusqu’à l’étape du test hello world :

$ sudo snap install hello-world
j'aurai du avoir :
*hello-world 6.3 from Canonical✓ installed*
*$ hello-world*
*Hello World!*
 à la place j'ai 
ERROR: ld.so: object '/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so' from /etc/ld.so.preload cannot be preloaded (cannot open shared object file): ignored.
Hello World!
Est ce grave ??